@echo off

rem HTML Help のビルド
rem 事前条件
rem   * カレントディレクトリが vcproj のある階層
rem   * hhc にパスが通っている (C:\Program Files\HTML Help Workshop)

set OUTDIR=%1
set SUFFIX=%2

echo ヘルプ ファイルのコンパイル開始
echo OUTDIR %OUTDIR%
echo SUFFIX %SUFFIX%
del "hlp\fugen.chm"
start /wait hhc "hlp\fugen.hhp"
if not exist "hlp\fugen.chm" goto :HelpError

rem OutDir が存在しない場合はコピー処理をスキップ
if "%~1" == "" goto :HelpDone

rem chm ファイルをコピー
copy "hlp\fugen.chm" "%OUTDIR%\fugen%SUFFIX%.chm"
echo "ヘルプ ファイルを作成しました。"
goto :HelpDone

:HelpError
echo error:ヘルプ ファイルを作成中に問題が発生しました。
echo.

:HelpDone
echo.

